export const PageComponents = {
    install(Vue: any, opt: any) {
                Vue.component('account-quick-create', () => import('@pages/base/account-quick-create/account-quick-create.vue'));
        Vue.component('list-account-by-list', () => import('@pages/marketing/list-account-by-list/list-account-by-list.vue'));
        Vue.component('competitor-option-view', () => import('@pages/sales/competitor-option-view/competitor-option-view.vue'));
        Vue.component('campaign-response-by-parent-key', () => import('@pages/marketing/campaign-response-by-parent-key/campaign-response-by-parent-key.vue'));
        Vue.component('account-edit-view', () => import('@pages/base/account-edit-view/account-edit-view.vue'));
        Vue.component('lead-pickup-view', () => import('@pages/sales/lead-pickup-view/lead-pickup-view.vue'));
        Vue.component('incident-edit-view', () => import('@pages/service/incident-edit-view/incident-edit-view.vue'));
        Vue.component('contact-info-book', () => import('@pages/base/contact-info-book/contact-info-book.vue'));
        Vue.component('centeral-portal', () => import('@pages/ungroup/centeral-portal/centeral-portal.vue'));
        Vue.component('task-quick-create', () => import('@pages/base/task-quick-create/task-quick-create.vue'));
        Vue.component('opportunity-quick-create', () => import('@pages/sales/opportunity-quick-create/opportunity-quick-create.vue'));
        Vue.component('opportunity-info-product', () => import('@pages/sales/opportunity-info-product/opportunity-info-product.vue'));
        Vue.component('opportunity-competitor-opp-comp-grid-view', () => import('@pages/sales/opportunity-competitor-opp-comp-grid-view/opportunity-competitor-opp-comp-grid-view.vue'));
        Vue.component('contact-info-person', () => import('@pages/base/contact-info-person/contact-info-person.vue'));
        Vue.component('campaign-info-schedule', () => import('@pages/marketing/campaign-info-schedule/campaign-info-schedule.vue'));
        Vue.component('opportunity-grid-view', () => import('@pages/sales/opportunity-grid-view/opportunity-grid-view.vue'));
        Vue.component('letter-edit-view', () => import('@pages/base/letter-edit-view/letter-edit-view.vue'));
        Vue.component('goal-edit-view', () => import('@pages/sales/goal-edit-view/goal-edit-view.vue'));
        Vue.component('transaction-currency-pickup-view', () => import('@pages/base/transaction-currency-pickup-view/transaction-currency-pickup-view.vue'));
        Vue.component('opportunity-product-edit-view', () => import('@pages/sales/opportunity-product-edit-view/opportunity-product-edit-view.vue'));
        Vue.component('email-edit-view', () => import('@pages/base/email-edit-view/email-edit-view.vue'));
        Vue.component('goal-grid-view', () => import('@pages/sales/goal-grid-view/goal-grid-view.vue'));
        Vue.component('account-grid-view', () => import('@pages/base/account-grid-view/account-grid-view.vue'));
        Vue.component('invoice-grid-view', () => import('@pages/finance/invoice-grid-view/invoice-grid-view.vue'));
        Vue.component('competitor-dashboard-view', () => import('@pages/sales/competitor-dashboard-view/competitor-dashboard-view.vue'));
        Vue.component('ibiz-list-grid-view', () => import('@pages/marketing/ibiz-list-grid-view/ibiz-list-grid-view.vue'));
        Vue.component('product-grid-view', () => import('@pages/product/product-grid-view/product-grid-view.vue'));
        Vue.component('ibiz-list-info-abstract', () => import('@pages/marketing/ibiz-list-info-abstract/ibiz-list-info-abstract.vue'));
        Vue.component('ibiz-list-info', () => import('@pages/marketing/ibiz-list-info/ibiz-list-info.vue'));
        Vue.component('lead-pickup-grid-view', () => import('@pages/sales/lead-pickup-grid-view/lead-pickup-grid-view.vue'));
        Vue.component('ibiz-list-option-view', () => import('@pages/marketing/ibiz-list-option-view/ibiz-list-option-view.vue'));
        Vue.component('product-edit-quick-create', () => import('@pages/product/product-edit-quick-create/product-edit-quick-create.vue'));
        Vue.component('campaign-info-manager', () => import('@pages/marketing/campaign-info-manager/campaign-info-manager.vue'));
        Vue.component('contact-info-abstract', () => import('@pages/base/contact-info-abstract/contact-info-abstract.vue'));
        Vue.component('list-contact-edit-view', () => import('@pages/marketing/list-contact-edit-view/list-contact-edit-view.vue'));
        Vue.component('campaign-grid-view', () => import('@pages/marketing/campaign-grid-view/campaign-grid-view.vue'));
        Vue.component('list-lead-by-list', () => import('@pages/marketing/list-lead-by-list/list-lead-by-list.vue'));
        Vue.component('account-info-major-contact', () => import('@pages/base/account-info-major-contact/account-info-major-contact.vue'));
        Vue.component('lead-info-company', () => import('@pages/sales/lead-info-company/lead-info-company.vue'));
        Vue.component('sales-order-grid-view', () => import('@pages/sales/sales-order-grid-view/sales-order-grid-view.vue'));
        Vue.component('campaign-activity-edit-view', () => import('@pages/marketing/campaign-activity-edit-view/campaign-activity-edit-view.vue'));
        Vue.component('contact-quick-create', () => import('@pages/base/contact-quick-create/contact-quick-create.vue'));
        Vue.component('lead-info-market', () => import('@pages/sales/lead-info-market/lead-info-market.vue'));
        Vue.component('competitor-info-abstract', () => import('@pages/sales/competitor-info-abstract/competitor-info-abstract.vue'));
        Vue.component('phone-call-edit-view', () => import('@pages/base/phone-call-edit-view/phone-call-edit-view.vue'));
        Vue.component('contact-info-address', () => import('@pages/base/contact-info-address/contact-info-address.vue'));
        Vue.component('lead-quick-create', () => import('@pages/sales/lead-quick-create/lead-quick-create.vue'));
        Vue.component('price-level-pickup-view', () => import('@pages/product/price-level-pickup-view/price-level-pickup-view.vue'));
        Vue.component('lead-info-contact', () => import('@pages/sales/lead-info-contact/lead-info-contact.vue'));
        Vue.component('competitor-grid-view', () => import('@pages/sales/competitor-grid-view/competitor-grid-view.vue'));
        Vue.component('account-summary', () => import('@pages/base/account-summary/account-summary.vue'));
        Vue.component('opportunity-product-opp-opp-pro-grid-view', () => import('@pages/sales/opportunity-product-opp-opp-pro-grid-view/opportunity-product-opp-opp-pro-grid-view.vue'));
        Vue.component('ibiz-list-quick-create', () => import('@pages/marketing/ibiz-list-quick-create/ibiz-list-quick-create.vue'));
        Vue.component('appointment-quick-create', () => import('@pages/base/appointment-quick-create/appointment-quick-create.vue'));
        Vue.component('sales-order-edit-view', () => import('@pages/sales/sales-order-edit-view/sales-order-edit-view.vue'));
        Vue.component('campaign-response-edit-view', () => import('@pages/marketing/campaign-response-edit-view/campaign-response-edit-view.vue'));
        Vue.component('campaign-activity-quick-create', () => import('@pages/marketing/campaign-activity-quick-create/campaign-activity-quick-create.vue'));
        Vue.component('campaign-info', () => import('@pages/marketing/campaign-info/campaign-info.vue'));
        Vue.component('list-contact-grid-view', () => import('@pages/marketing/list-contact-grid-view/list-contact-grid-view.vue'));
        Vue.component('fax-edit-view', () => import('@pages/base/fax-edit-view/fax-edit-view.vue'));
        Vue.component('campaign-list-grid-view', () => import('@pages/marketing/campaign-list-grid-view/campaign-list-grid-view.vue'));
        Vue.component('lead-grid-view', () => import('@pages/sales/lead-grid-view/lead-grid-view.vue'));
        Vue.component('activity-pointer-edit-view', () => import('@pages/base/activity-pointer-edit-view/activity-pointer-edit-view.vue'));
        Vue.component('sales-literature-grid-view', () => import('@pages/sales/sales-literature-grid-view/sales-literature-grid-view.vue'));
        Vue.component('product-edit-view', () => import('@pages/product/product-edit-view/product-edit-view.vue'));
        Vue.component('quote-grid-view', () => import('@pages/sales/quote-grid-view/quote-grid-view.vue'));
        Vue.component('invoice-edit-view', () => import('@pages/finance/invoice-edit-view/invoice-edit-view.vue'));
        Vue.component('campaign-edit-view', () => import('@pages/marketing/campaign-edit-view/campaign-edit-view.vue'));
        Vue.component('opportunity-summary', () => import('@pages/sales/opportunity-summary/opportunity-summary.vue'));
        Vue.component('list-contact-inner', () => import('@pages/marketing/list-contact-inner/list-contact-inner.vue'));
        Vue.component('campaign-info-campagin', () => import('@pages/marketing/campaign-info-campagin/campaign-info-campagin.vue'));
        Vue.component('appointment-edit-view', () => import('@pages/base/appointment-edit-view/appointment-edit-view.vue'));
        Vue.component('contact-tab-exp-view', () => import('@pages/base/contact-tab-exp-view/contact-tab-exp-view.vue'));
        Vue.component('contact-pickup-grid-view', () => import('@pages/base/contact-pickup-grid-view/contact-pickup-grid-view.vue'));
        Vue.component('list-account-edit-view', () => import('@pages/marketing/list-account-edit-view/list-account-edit-view.vue'));
        Vue.component('opportunity-info', () => import('@pages/sales/opportunity-info/opportunity-info.vue'));
        Vue.component('service-appointment-edit-view', () => import('@pages/service/service-appointment-edit-view/service-appointment-edit-view.vue'));
        Vue.component('contact-grid-view', () => import('@pages/base/contact-grid-view/contact-grid-view.vue'));
        Vue.component('transaction-currency-pickup-grid-view', () => import('@pages/base/transaction-currency-pickup-grid-view/transaction-currency-pickup-grid-view.vue'));
        Vue.component('activity-pointer-grid-view', () => import('@pages/base/activity-pointer-grid-view/activity-pointer-grid-view.vue'));
        Vue.component('campaign-activity-by-parent-key', () => import('@pages/marketing/campaign-activity-by-parent-key/campaign-activity-by-parent-key.vue'));
        Vue.component('account-pickup-view', () => import('@pages/base/account-pickup-view/account-pickup-view.vue'));
        Vue.component('price-level-pickup-grid-view', () => import('@pages/product/price-level-pickup-grid-view/price-level-pickup-grid-view.vue'));
        Vue.component('quote-opp-qua-grid-view', () => import('@pages/sales/quote-opp-qua-grid-view/quote-opp-qua-grid-view.vue'));
        Vue.component('contact-by-account', () => import('@pages/base/contact-by-account/contact-by-account.vue'));
        Vue.component('opportunity-opp-pro-dashboard-view', () => import('@pages/sales/opportunity-opp-pro-dashboard-view/opportunity-opp-pro-dashboard-view.vue'));
        Vue.component('sales-literature-edit-view', () => import('@pages/sales/sales-literature-edit-view/sales-literature-edit-view.vue'));
        Vue.component('ibiz-list-summary', () => import('@pages/marketing/ibiz-list-summary/ibiz-list-summary.vue'));
        Vue.component('lead-dashboard-view', () => import('@pages/sales/lead-dashboard-view/lead-dashboard-view.vue'));
        Vue.component('list-account-quick-create-by-list', () => import('@pages/marketing/list-account-quick-create-by-list/list-account-quick-create-by-list.vue'));
        Vue.component('campaign-list-edit-view', () => import('@pages/marketing/campaign-list-edit-view/campaign-list-edit-view.vue'));
        Vue.component('competitor-tab-exp-view', () => import('@pages/sales/competitor-tab-exp-view/competitor-tab-exp-view.vue'));
        Vue.component('account-pickup-grid-view', () => import('@pages/base/account-pickup-grid-view/account-pickup-grid-view.vue'));
        Vue.component('lead-info', () => import('@pages/sales/lead-info/lead-info.vue'));
        Vue.component('list-lead-quick-create-by-list', () => import('@pages/marketing/list-lead-quick-create-by-list/list-lead-quick-create-by-list.vue'));
        Vue.component('account-info', () => import('@pages/base/account-info/account-info.vue'));
        Vue.component('lead-info-detail', () => import('@pages/sales/lead-info-detail/lead-info-detail.vue'));
        Vue.component('account-info-all', () => import('@pages/base/account-info-all/account-info-all.vue'));
        Vue.component('opportunity-competitor-edit-view', () => import('@pages/sales/opportunity-competitor-edit-view/opportunity-competitor-edit-view.vue'));
        Vue.component('activity-pointer-by-parent-key', () => import('@pages/base/activity-pointer-by-parent-key/activity-pointer-by-parent-key.vue'));
        Vue.component('contact-edit-abstract', () => import('@pages/base/contact-edit-abstract/contact-edit-abstract.vue'));
        Vue.component('list-account-inner', () => import('@pages/marketing/list-account-inner/list-account-inner.vue'));
        Vue.component('contact-dashboard-view', () => import('@pages/base/contact-dashboard-view/contact-dashboard-view.vue'));
        Vue.component('task-edit-view', () => import('@pages/base/task-edit-view/task-edit-view.vue'));
        Vue.component('contact-info-market', () => import('@pages/base/contact-info-market/contact-info-market.vue'));
        Vue.component('quote-edit-view', () => import('@pages/sales/quote-edit-view/quote-edit-view.vue'));
        Vue.component('incident-grid-view', () => import('@pages/service/incident-grid-view/incident-grid-view.vue'));
        Vue.component('account-inner-pickup-view', () => import('@pages/base/account-inner-pickup-view/account-inner-pickup-view.vue'));
        Vue.component('contact-edit-market', () => import('@pages/base/contact-edit-market/contact-edit-market.vue'));
        Vue.component('campaign-summary-head', () => import('@pages/marketing/campaign-summary-head/campaign-summary-head.vue'));
        Vue.component('account-edit-account-info', () => import('@pages/base/account-edit-account-info/account-edit-account-info.vue'));
        Vue.component('account-inner-pickup-grid-view', () => import('@pages/base/account-inner-pickup-grid-view/account-inner-pickup-grid-view.vue'));
        Vue.component('contact-edit-address', () => import('@pages/base/contact-edit-address/contact-edit-address.vue'));
        Vue.component('campaign-response-quick-create', () => import('@pages/marketing/campaign-response-quick-create/campaign-response-quick-create.vue'));
        Vue.component('account-edit-introduction', () => import('@pages/base/account-edit-introduction/account-edit-introduction.vue'));
        Vue.component('contact-edit-book', () => import('@pages/base/contact-edit-book/contact-edit-book.vue'));
        Vue.component('campaign-summary', () => import('@pages/marketing/campaign-summary/campaign-summary.vue'));
        Vue.component('contact-pickup-view', () => import('@pages/base/contact-pickup-view/contact-pickup-view.vue'));
        Vue.component('account-edit-address', () => import('@pages/base/account-edit-address/account-edit-address.vue'));
        Vue.component('contact-edit-person', () => import('@pages/base/contact-edit-person/contact-edit-person.vue'));
    }
};